* {
  margin: 0;
  padding: 0;
}


/* Put it back on certain elements */
h1,
h2,
h3,
h4,
h5,
h6,
pre,
blockquote,
table,
hr {
  margin: 22px 0;
}

p {
  margin: 16px 0;
}

/* Put it back on certain elements */
ul,
ol {
  margin: 1em 3em;
}

/* Class for clearing floats */
.clear {
  clear: both;
}

/* Remove border around linked images */
img {
  border: 0;
}

/* =Typography----------------------------------------------------------------------------- */
body {
  font-family: var(--body-font-family);
  color: black;
  margin: 0;
  padding: 0;
  background: #fff;
}

.storefinderCaption {
  font-size: 16px;
  font-weight: bold;
  color: #216a9c;
}

.storefinderLabel {
  font-weight: bold;
  color: #21356e;
}

/* =Main Layout----------------------------------------------------------------------------- */
#container {
  width: 100%;
  margin: 0 auto;
}

#masthead {
  width: 100%;
  max-width: 1340px;
  display: flex;
  align-items: baseline;
  justify-content: space-between;
  margin: 15px auto 5px;
  padding: 15px 11px 0 13px;
}

#logo {
  width: 15%;
  margin: 0;
  min-width: 100px;
}

#offer {
  clear: both;
  width: 100%;
  max-width: 1340px;
  height: auto;
  margin: 0 auto;
}

#offer img {
  width: 100%;
}

#storeFinder {
  margin: 0 auto;
  text-align: center;
  width: 100%;
  background: #21356e;
  background-position: top left;
  background-repeat: repeat-x;
}

#storeFinder p {
  font-size: 1.25em;
}

.section.center {
  margin: 35px auto 0;
  width: 90%;
  max-width: 1340px;
}

#footer {
  clear: both;
  margin: 0 auto;
  width: 100%;
  max-width: 1340px;
  padding: 1px 0 0;
  text-align: center;
}

/* =Headings----------------------------------------------------------------------------- */


.section.homepage h2 {
  font-size: 21px;
  line-height: 28px;
  color: #0066a4;
  margin: 15px 0;
}

.section.homepage h3 {
  font-size: 18px;
  line-height: 24px;
  margin: 0;
}

.section.homepage h4 {
  font-size: 16px;
  line-height: 18px;
  margin: 0.5em 0 0.25em;
}

/* =Links----------------------------------------------------------------------------- */
a:link {
  color: #0066a4;
  text-decoration: underline;
}

a:visited {
  color: #000;
  text-decoration: underline;
}

a:hover,
a:active {
  color: #8b0b04;
  text-decoration: underline;
}

#footer a:link,
#footer a:visited {
  color: #8b0b04;
  text-decoration: none;
}

#footer a:hover,
#footer a:active {
  text-decoration: underline;
}

/* Removes fieldset borders. even on Opea 7 */

fieldset {
  border: 1px solid transparent;
}

#global fieldset {
  align-items: center;
  justify-content: center;
  display: flex;
  overflow: hidden;
  position: relative;
  padding: 0;
}

.form-label {
  align-items: center;
  color: #fff;
  display: flex;
}

.button {
  background: white;
  color: #21356e;
  font-weight: bold;
  margin: 0 0 0 5px;
  border: none;
  padding: 0.51em 2em;
  border-radius: 4px;
}

input[type="submit"] {
  width: auto;
}

input[type="text"] {
  padding: 5px;
}

textarea {
  width: 400px;
  height: 100px;
  border-top: 2px solid #999;
  border-left: 2px solid #999;
  border-bottom: 1px solid #ccc;
  border-right: 1px solid #ccc;
}

.promotions-hero {
  width: 100%;
  padding-top: min(400px, calc(400 / 1800 * 100% - (58px + 12%)));
  padding-bottom: 6%;
  background: url("/assets/VISTA-HP-25-Q3-2025-05-V2.jpg")
    center top/ auto 100% no-repeat no-repeat #f1f3f4;
  margin: 0 auto;
}

.promotions-hero-content {
  max-width: 1340px;
  width: 90%;
  display: flex;
  justify-content: flex-start;
  margin: auto;
}

.promotions-hero-text {
  width: 45%;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.promotions-hero-text img {
  width: 100%;
  max-width: 100%;
  display: block;
  height: auto;
  margin: 0 auto 35px;
}

.promotions-hero-text h1 {
  display: none;
}

.btn-cta {
  margin: auto;
}

.btn-cta a.a-btn--primary {
  background-color: #21356e;
  border: 2px solid #21356e;
  padding: .75em 1.5em;
}

.btn-cta a.a-btn--primary:hover {
  color: #21356e;
  background-color: transparent;
}

h2.terms-modal {
  font-size: 1.35em;
  margin: 0 auto;
  line-height: 2rem;
}

.modal-body p {
  margin-bottom: 5px;
  line-height: 1.3;
}

hr.hr-modal {
  margin: 10px 0;
}

@media (max-width: 1399px) {
  .promotions-hero {
   padding-top: min(400px, calc(400 / 1800 * 100% - (58px + 10%)));
  }
}

@media (max-width: 991px) {
  .promotions-hero-text {
    margin-left: 3%;
  }

  .promotions-hero-logo {
    margin-bottom: 25px;
  }

  .btn-cta a.a-btn--primary {
    font-size: .9em;
 }
}

@media (max-width: 767px) {
  .promotions-hero {
    padding-bottom: calc(617 / 767 * 100% - (1px + 15%));
    background: url("/assets/VISTA-HP-25-Q3-30offEG-BOGO-2025-05-mobile-1-.jpg")
      center bottom/contain no-repeat no-repeat #f4e6dd;
    padding-top: 7%;
  }

  .promotions-hero-content {
    width: 100%;
  }

  .promotions-hero-text {
    width: 75%;
    margin: auto;
    display: block;
    text-align: center;
  }
}

@media (max-width: 420px) {
  #storeFinder p {
    font-size: 1em;
  }
}

@media (max-width: 390px) {
  #storeFinder p {
    font-size: 0.8em;
  }
}
